Subject: Recovery from sleep/hibernate is broken

From: Nikolay Merinov <[email-masked]>
Date: Sat, 26 Nov 2016 04:55:19 +0500

Hi,

I exepience issue similar to discussed in next thread
https://lists.gnu.org/archive/html/bug-guix/2016-07/msg00087.html
My laptop can't wake afterr sleep and hibernate.

I use GuixSD on libreboot x200. Issue was checked with linux-libre kernels 4.1,
4.8, 4.10; with libreboot 2015-01-26, 2015-05-18, 2016-09-07; with and
without "resume=/dev/sda2" option (my swap partition on /dev/sda2).

I can't resume neither from suspend to ram nor from suspend to disk.

I start hibernation with "echo disk > /sys/power/state" command. On next boot image does not restored. I can see that image was saved:

    # swapon /dev/sda2
    swapon: /dev/sda2: software suspend data detected. Rewriting the swap signature.

In boot log I can see next message:

[    0.610581] PM: Checking hibernation image partition /dev/sda2
[    0.610598] PM: Hibernation image not present or could not be loaded.
...
[    1.063943] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.108500]  sda: sda1 sda2 sda3
[    1.109780] sd 0:0:0:0: [sda] Attached SCSI disk

Looks like PM try to find hibernation image before attaching hard
drive.

Full boot log with linux-libre 4.10 and libreboot 2016-09-07 after hibernation attached.

Where can be root of issue? libreboot code, linux-libre code or GuixSD itself? 

Regards,
Nikolay